OpenTTD

Public Member Functions
NewGRFScanCallback Struct Referenceabstract

Callback for NewGRF scanning. More...

`#include <newgrf_config.h>`

Inheritance diagram for NewGRFScanCallback:

## Public Member Functions
virtual | ~NewGRFScanCallback ()
| Make sure the right destructor gets called. More...
virtual void | OnNewGRFsScanned ()=0
| Called whenever the NewGRF scan completed. More...

## Detailed Description

Callback for NewGRF scanning.

Definition at line 208 of file newgrf_config.h.

## Constructor & Destructor Documentation

## ◆ ~NewGRFScanCallback()

virtual NewGRFScanCallback::~NewGRFScanCallback | ( |  | ) |
| inline virtual

Make sure the right destructor gets called.

Definition at line 210 of file newgrf_config.h.

References AppendStaticGRFConfigs(), AppendToGRFConfigList(), ClearGRFConfigList(), CopyGRFConfigList(), FillGRFDetails(), FindGRFConfig(), GetGRFConfig(), GRFBuildParamList(), GRFGetSizeOfDataSection(), GRFIdentifier::grfid, IsGoodGRFConfigList(), GRFIdentifier::md5sum, NEWGRF_DIR, ResetGRFConfig(), ScanNewGRFFiles(), and ShowNewGRFSettings().

## Member Function Documentation

## ◆ OnNewGRFsScanned()

virtual void NewGRFScanCallback::OnNewGRFsScanned | ( |  | ) |
| pure virtual

Called whenever the NewGRF scan completed.

Implemented in NewGRFWindow, and AfterNewGRFScan.

The documentation for this struct was generated from the following file:

- src/newgrf_config.h